Subject: bug#29293: closed (Re: bug#29293: CC Mode 5.33 (C//l); c-display-defun-name echoes return type not name of function)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 21 Nov 2017 18:17:02 +0000

Your bug report

#29293: CC Mode 5.33 (C//l); c-display-defun-name echoes return type not name of function

which was filed against the cc-mode package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
29293: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=29293
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#29293: CC Mode 5.33 (C//l); c-display-defun-name echoes return type not name of function
From: Alan Mackenzie <[email-masked]>
To: "Basil L. Contovounesios" <[email-masked]>
Cc: [email-masked]
Date: Tue, 21 Nov 2017 18:13:22 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello, Basil.

On Sat, Nov 18, 2017 at 13:59:51 +0000, Basil L. Contovounesios wrote:
> Hi Alan,

> Alan Mackenzie <[email-masked]> writes:

[ .... ]

> > Anyhow, could I ask you, please, to apply the patch, recompile
> > cc-cmds.el, and try it out in any other code you found the bug in, and
> > let me know if the bug is indeed fixed.

> I have tested your patch over recent master
> (bc462efec89c3317a6ee3ef9404356c1c7e52bda "Rebrand Windows
> installer" of 2017-11-13) in several functions and DEFUNs in
> the Emacs source tree, including all src/indent.c
> definitions I mentioned in my previous email, and can
> confirm the patch fixes the reported issue.

Thanks.  I've committed that patch to CC Mode, XEmacs, and Emacs branch
emacs-26, from where it will flow into the master branch.

That other problem I had with c-defun-nmae, I've decided is a separate
bug, and I'll be looking at it sometime.  With this post, I'm closing
the bug.

[ .... ]

> Thanks again,

> -- 
> Basil

-- 
Alan Mackenzie (Nuremberg, Germany).

Subject: CC Mode 5.33 (C//l); c-display-defun-name echoes return type not name of function
From: "Basil L. Contovounesios" <[email-masked]>
To: [email-masked]
Date: Tue, 14 Nov 2017 13:03:44 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Steps to reproduce:

1. emacs -Q
2. M-x find-function RET current-column RET
   (i.e. visit file src/indent.c)
3. M-g g 59 RET
   (i.e. move point to start of function
   buffer_display_table)
4. C-c C-z

Expected result: Message "buffer_display_table.  Line 1/12."
Actual result: Message "struct Lisp_Char_Table.  Line 1/12."

Similar behaviour is observed for other
struct-pointer-returning functions in this file, such as
compute_motion and vmotion.

Contrast with the same procedure for some
non-struct-pointer-returning function, e.g. character_width:

3. M-g g 76 RET
   (i.e. move point to start of function character_width)
4. C-c C-z

Result: Message "character_width.  Line 1/29.", as expected.

The information collected by c-submit-bug-report follows my
signature.

Thanks,

-- 
Basil

Emacs  : GNU Emacs 27.0.50 (build 4, x86_64-pc-linux-gnu, X toolkit, Xaw3d scroll bars)
 of 2017-11-14
Package: CC Mode 5.33 (C//l)
Buffer Style: GNU
c-emacs-features: (pps-extended-state col-0-paren posix-char-classes gen-string-delim gen-comment-delim syntax-properties 1-bit)

current state:
==============
(setq
 c-basic-offset 2
 c-comment-only-line-offset '(0 . 0)
 c-indent-comment-alist '((anchored-comment column . 0) (end-block space . 1) (cpp-end-block space . 2))
 c-indent-comments-syntactically-p nil
 c-block-comment-prefix ""
 c-comment-prefix-regexp '((pike-mode . "//+!?\\|\\**") (awk-mode . "#+") (other . "//+\\|\\**"))
 c-doc-comment-style '((java-mode . javadoc) (pike-mode . autodoc) (c-mode . gtkdoc))
 c-cleanup-list '(scope-operator)
 c-hanging-braces-alist '((substatement-open before after) (arglist-cont-nonempty))
 c-hanging-colons-alist nil
 c-hanging-semi&comma-criteria '(c-semi&comma-inside-parenlist)
 c-backslash-column 48
 c-backslash-max-column 72
 c-special-indent-hook '(c-gnu-impose-minimum)
 c-label-minimum-indentation 1
 c-offsets-alist '((inexpr-class . +)
                   (inexpr-statement . +)
                   (lambda-intro-cont . +)
                   (inlambda . c-lineup-inexpr-block)
                   (template-args-cont c-lineup-template-args +)
                   (incomposition . +)
                   (inmodule . +)
                   (inextern-lang . +)
                   (composition-close . 0)
                   (module-close . 0)
                   (namespace-close . 0)
                   (extern-lang-close . 0)
                   (composition-open . 0)
                   (module-open . 0)
                   (namespace-open . 0)
                   (extern-lang-open . 0)
                   (objc-method-call-cont c-lineup-ObjC-method-call-colons c-lineup-ObjC-method-call +)
                   (objc-method-args-cont . c-lineup-ObjC-method-args)
                   (objc-method-intro . [0])
                   (friend . 0)
                   (cpp-define-intro c-lineup-cpp-define +)
                   (cpp-macro-cont . +)
                   (cpp-macro . [0])
                   (inclass . +)
                   (stream-op . c-lineup-streamop)
                   (arglist-cont-nonempty c-lineup-gcc-asm-reg c-lineup-arglist)
                   (arglist-cont c-lineup-gcc-asm-reg 0)
                   (arglist-intro . c-lineup-arglist-intro-after-paren)
                   (comment-intro c-lineup-knr-region-comment c-lineup-comment)
                   (catch-clause . 0)
                   (else-clause . 0)
                   (do-while-closure . 0)
                   (substatement . +)
                   (statement-case-open . +)
                   (statement-case-intro . +)
                   (statement . 0)
                   (brace-entry-open . 0)
                   (brace-list-entry . c-lineup-under-anchor)
                   (brace-list-intro . c-lineup-arglist-intro-after-paren)
                   (brace-list-close . 0)
                   (brace-list-open . +)
                   (block-close . 0)
                   (block-open . 0)
                   (inher-cont . c-lineup-multi-inher)
                   (member-init-cont . c-lineup-multi-inher)
                   (annotation-var-cont . +)
                   (annotation-top-cont . 0)
                   (topmost-intro-cont first c-lineup-topmost-intro-cont c-lineup-gnu-DEFUN-intro-cont)
                   (topmost-intro . 0)
                   (knr-argdecl . 0)
                   (func-decl-cont . +)
                   (inline-close . 0)
                   (class-close . 0)
                   (class-open . 0)
                   (defun-block-intro . +)
                   (defun-close . 0)
                   (defun-open . 0)
                   (c . c-lineup-C-comments)
                   (string . c-lineup-dont-change)
                   (statement-cont . +)
                   (label . 0)
                   (substatement-label . 0)
                   (substatement-open . +)
                   (knr-argdecl-intro . 5)
                   (statement-block-intro . +)
                   (member-init-intro . +)
                   (inher-intro . +)
                   (arglist-close . c-lineup-arglist)
                   (inline-open . 0)
                   (innamespace . +)
                   (case-label . 0)
                   (access-label . -)
                   )
 c-buffer-is-cc-mode 'c-mode
 c-tab-always-indent t
 c-syntactic-indentation t
 c-syntactic-indentation-in-macros t
 c-ignore-auto-fill '(string cpp code)
 c-auto-align-backslashes t
 c-backspace-function 'backward-delete-char-untabify
 c-delete-function 'delete-char
 c-electric-pound-behavior nil
 c-default-style '((java-mode . "java") (awk-mode . "awk") (other . "blc"))
 c-enable-xemacs-performance-kludge-p nil
 c-old-style-variable-behavior nil
 defun-prompt-regexp nil
 tab-width 8
 comment-column 32
 parse-sexp-ignore-comments t
 parse-sexp-lookup-properties t
 auto-fill-function nil
 comment-multi-line t
 comment-start-skip "\\(//+\\|/\\*+\\)\\s *"
 fill-prefix nil
 fill-column 70
 paragraph-start "[ 	]*\\(//+\\|\\**\\)[ 	]*$\\|^\f"
 adaptive-fill-mode t
 adaptive-fill-regexp "[ 	]*\\(//+\\|\\**\\)[ 	]*\\([ 	]*\\([-–!|#%;>*·•‣⁃◦]+[ 	]*\\)*\\)"
 )